<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Harry Potter Characters</title>
    <link rel="stylesheet" href="styles.css">

    <link rel="preconnect" href="https://fonts.googleapis.com">

    <!--Fonts-->
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Cinzel:wght@400;600&display=swap" rel="stylesheet">

    <script src="./main.js" defer></script>
</head>

<body>

    <header>
        <h1>Harry Potter Characters</h1>
    </header>

    <main>
        <section>
            <div class="section__filter">
                <div class="section__filter--house">
                    <p class="bold">Filter by House </p>
                    <ul> <!--au clic sur un lien => filtre par maison -->
                        <li> <a id="Gryffindor_filter">Gryffindor</a> </li>
                        <li> <a id="Slytherin_filter">Slytherin</a> </li>
                        <li> <a id="Hufflepuff_filter">Hufflepuff</a> </li>
                        <li> <a id="Ravenclaw_filter">Ravenclaw</a> </li>
                    </ul>
                </div>

                <div class="section__filter--name">
                    <label for="searchbox" class="bold">Search by Name </label>
                    <input type="search" name="searchbox" id="searchbox">
                </div>

            </div>

            <h2> Characters in Harry Potter : </h2>
            <div id="character_list" class="section__list">
                <!--Affiche la liste des perso dans le DOM ici-->
            </div>
        </section>
    </main>

</body>

</html>
